OTPme - Feature #52

add support for yubikey in HMAC-SHA1 mode
30 August 2015 15:57 - The 2nd

Status: Neu Start date: 30 August 2015
Priority: Normal Due date:

Assignee: The 2nd % Done: 80%

Category: Estimated time: 0:00 hour
Target version: OTPme 0.3

Description

e OTPme should support authentication/login with a yubikey in HMAC-SHA1 mode
o https://github.com/Yubico/python-yubico
e offline logins using pam_otpme should be supported

History

#1 - 05 September 2015 01:16 - The 2nd
- % Done changed from 40 to 80

The current implementation tries to get the yubikey serial and sends it to the server. The server replies if the yubikey can be used to authenticate the
user and sends the slot that is configured for HMAC-SHAT1. This works well if the connected yubikey as at least one slot configured for HMAC-SHA1.
If no slot is configured for HMAC-SHA1 the serial() method times out.

Waiting for answer from upstream: https://github.com/Yubico/python-yubico/issues/26
